/*
 * simple.c
 *
 * A simple Xt/Motif program that creates a single BulletinBoard widget.
 *
 * Written by Martin J. Schedlbauer.  Copyright 1992, Schedlbauer & Associates.
 * This program is freely distributable without licensing fees and
 * is provided without guarantee or warranty expressed or implied.
 *
 */


#include <X11/Intrinsic.h>		/* X Toolkit Intrinsics */
#include <X11/StringDefs.h>		/* X Toolkit Intrinsics */

#include <Xm/Xm.h>			/* Motif general include file */
#include <Xm/BulletinB.h>		/* include file for BulletinBoard */


main (argc, argv)
     int argc;
     char *argv[];
{
    XtAppContext	app_context;
    Widget		toplevel, bboard;
    Arg			arg[2];			/* dangerous! */
    int			n;

    /*
     * initialize toolkit, open a server connection
     * creates and returns an ApplicationShell widget instance
     */
    toplevel = XtVaAppInitialize (
                 &app_context,		/* Application context (returned!) */
		 "Simple",              /* Application Class Name */
                 NULL, 0,               /* Command Line Option List */
                 &argc, argv,           /* Command Line */
                 NULL,                  /* Fallback Resources */
                 NULL);                 /* Terminated VarArgs List */

    /*
     * give the widget a width and height by setting widget resources
     */
    n = 0;
    XtSetArg (arg[n], XmNwidth, 300); n++;
    XtSetArg (arg[n], XmNheight, 400); n++;
    bboard = XmCreateBulletinBoard (toplevel, "bboard", arg, n);
    XtManageChild (bboard);

    /*
     * realizing causes X windows to be created
     * needs to be called only once (typically)
     */
    XtRealizeWidget (toplevel);

    XtAppMainLoop (app_context);
				  
} /* end main */
